body {
	background-color: #e74c3c;
}

main {
	width: 100%;
	height: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
}

.hero {
	width: 100%;
	height: 100%;
}

.section-container {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

#bg-error {
	background-color: var(--bg-white);
	width: calc(100vw - 20%);
	height: calc(100vh - 20%);
	/* border: calc(var(--spacing) * 17.5) solid #e74c3c; */
	opacity: 0.95;
	box-sizing: border-box;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	min-height: 500px;
	border-radius: calc(var(--spacing) * 5);
	/* filter: drop-shadow(var(--img-box-shadow)); */
}

.wrapper {
	width: 100%;
	height: max-content;
	position: relative;
}

h1 {
	font-family: var(--body-font);
	font-weight: bold;
	text-align: center;
	color: #e74c3c;
	font-size: 18.75rem;
	width: 100%;
	height: max-content;
	margin: calc(var(--spacing) * 12.5) 0 0 0;
}

h2 {
	font-size: 2rem;
	font-family: var(--body-font);
	margin: calc(var(--spacing) * 18) 0 calc(var(--spacing) * 4) 0;
	font-weight: 600;
	height: fit-content;
	width: fit-content;
	max-width: 80%;
	word-break: break-word;
	line-height: 100%;
	text-align: center;
	/* max-height: 160px; */
}

#errorBtn {
	width: calc(var(--spacing) * 15);
	height: 23px;
	font-size: 1.25rem;
	background-color: #e74c3c;
	padding: calc(var(--spacing) * 2.5) 27px;
	border-radius: 10px;
	color: var(--bg-white);
	font-weight: bold;
	box-shadow: var(--img-box-shadow);
	transition: box-shadow 0.5s ease;
	display: flex;
	justify-content: center;
	align-items: center;
	margin: 0 0 calc(var(--spacing) * 2) 0;
}

#errorBtn:hover {
	box-shadow: var(--img-box-shadow-hover);
}

.hero h2::after {
	content: "";
	height: 0;
	width: 0;
}
@media only screen and (max-width: 980px) {
	#bg-error {
		flex-shrink: 0;
		min-height: 0;
		min-width: 0;
	}

	.hero h1 {
		font-size: 10rem;
		padding: 0 var(--spacing) 0 6px;
	}
	h2 {
		margin: calc(var(--spacing) * 6) 0 calc(var(--spacing) * 3) 0;
		font-size: 4vw;
	}

	#errorBtn {
		width: calc(var(--spacing) * 12);
		height: 20px;
		font-size: 1.1rem;
	}
}

@media only screen and (max-width: 516px) and (min-height: 400px) {
	.hero h1 {
		font-size: 25vw;
		margin: calc(var(--spacing) * 2) 0 0 0;
	}
	#errorBtn {
		margin: 0 0 calc(var(--spacing) * 2) 0;
		width: 10vw;
		height: 4.5vw;
		font-size: 0.8rem;
	}
	#bg-error {
		flex-shrink: 0;
	}
	h2 {
		font-size: 6vw;
		margin: calc(var(--spacing) * 4) 0 calc(var(--spacing) * 2) 0;
	}
	@media only screen and (max-height: 330px) {
		#bg-error {
			height: fit-content;
		}
	}
}

@media only screen and (max-width: 324px) {
	#errorBtn {
		margin: 0 0 calc(var(--spacing) * 2) 0;
		width: 10vw;
		height: 4.5vw;
		font-size: 0.6rem;
	}
}

@media only screen and (max-height: 554px) and (min-width: 990px) {
	.hero h1 {
		font-size: 25vh;
		margin: calc(var(--spacing) * 2) 0 0 0;
	}
	#errorBtn {
		margin: 0 0 calc(var(--spacing) * 2) 0;
		width: 10vh;
		height: 4.5vh;
		font-size: 0.8rem;
	}
	#bg-error {
		flex-shrink: 0;
		min-height: 0;
	}
	h2 {
		font-size: 6vh;
		margin: calc(var(--spacing) * 8) 0 calc(var(--spacing) * 2) 0;
	}
}

@media only screen and (max-height: 400px) and (max-width: 870px) {
	.hero h1 {
		font-size: 20vh;
		margin: calc(var(--spacing) * 2) 0 0 0;
	}
	#errorBtn {
		margin: 0 0 calc(var(--spacing) * 2) 0;
		width: 10vh;
		height: 4.5vh;
		font-size: 0.8rem;
	}
	#bg-error {
		flex-shrink: 0;
		min-height: 0;
	}
	h2 {
		font-size: 6vh;
		margin: calc(var(--spacing) * 8) 0 calc(var(--spacing) * 2) 0;
	}
}

@media only screen and (max-height: 978px) and (min-width: 524px) and (max-width: 1296px) {
	.hero h1 {
		font-size: 8rem;
		margin: calc(var(--spacing) * 3) 0 0 0;
	}
	h2 {
		font-size: 4vh;
		margin: calc(var(--spacing) * 8) 0 calc(var(--spacing) * 2) 0;
	}
}

@media only screen and (max-height: 378px) and (min-width: 251px) {
	h2 {
		font-size: 4vh;
		margin: calc(var(--spacing) * 8) 0 calc(var(--spacing) * 2) 0;
	}
}

@media only screen and (max-height: 310px) and (min-width: 990px) {
	#errorBtn {
		margin: 0 0 calc(var(--spacing) * 2) 0;
		width: 10vw;
		height: 4.5vw;
		font-size: 0.6rem;
	}
}

@media only screen and (max-height: 587px) and (max-width: 870px) {
	h2 {
		margin: calc(var(--spacing) * 8) 0 calc(var(--spacing) * 2) 0;
	}
}

@media only screen and (max-height: 574px) and (max-width: 516px) {
	.hero h1 {
		font-size: 20vw;
	}
	h2 {
		font-size: 4vw;
		margin: calc(var(--spacing) * 6) 0 calc(var(--spacing) * 2) 0;
	}
}

@media only screen and (max-height: 400px) and (max-width: 666px) {
	.hero h1 {
		font-size: 15vh;
		margin: calc(var(--spacing) * 2) 0 0 0;
	}
	#errorBtn {
		margin: 0 0 calc(var(--spacing) * 2) 0;
		width: 10vh;
		height: 4.5vh;
		font-size: 0.8rem;
	}
	#bg-error {
		flex-shrink: 0;
		min-height: 0;
	}
	h2 {
		margin: calc(var(--spacing) * 4) 0 calc(var(--spacing) * 2) 0;
	}
}

@media only screen and (max-height: 485px) and (max-width: 368px) {
	.hero h1 {
		font-size: 15vh;
		margin: calc(var(--spacing) * 2) 0 0 0;
	}
	#errorBtn {
		margin: 0 0 calc(var(--spacing) * 2) 0;
		width: 10vh;
		height: 4.5vh;
		font-size: 0.8rem;
	}
	#bg-error {
		flex-shrink: 0;
		min-height: 0;
	}
	h2 {
		margin: calc(var(--spacing) * 4) 0 calc(var(--spacing) * 2) 0;
	}
}
